Companion 2.2.0N371 Unable to check for updates error

Help with any software/desktop related issues. e.g. companion9x, eePe, etc
Post Reply
bschatz
Posts: 2
Joined: Thu May 04, 2017 7:50 am
Country: -

Companion 2.2.0N371 Unable to check for updates error

Post by bschatz » Thu May 04, 2017 8:00 am

Hi All,

I have my Taranis 9D updated to 2.1.7, and I am trying to update to 2.2.x I downloaded Companion 2.2.0N371 for Windows and it installed correctly, and I can connect it to my radio, I have updated the Settings in Companion, but when I try to Download the new F/W I get the following error: "Unable to check for updates", so I'm stuck.

I wanted to upgrade to 2.2 as the manual for the S6R RX recommended that level, but if I don't try to send the RX a .lua file then I should be able to use the 2.1.7 or 2.1.9 F/W just fine.

But I'd like to get Companion 2.2.0 functional so does anyone have any suggestions?

Thanks for your time.
- Bill -

User avatar
Kilrah
Posts: 9625
Joined: Sat Feb 18, 2012 6:56 pm
Country: Switzerland

Re: Companion 2.2.0N371 Unable to check for updates error

Post by Kilrah » Thu May 04, 2017 8:58 am

Read the the page you downloaded 2.2 from.

crankster
Posts: 1
Joined: Mon May 22, 2017 10:02 pm
Country: -

Re: Companion 2.2.0N371 Unable to check for updates error

Post by crankster » Thu May 25, 2017 2:03 am

Bill, did you find an answer for this?
Kilrah, I did read the page but there was no mention of this issue.
I too am unable to proceed with my move from 2.1 to 2.2 due to this issue.
Any suggestions welcomed

User avatar
Kilrah
Posts: 9625
Joined: Sat Feb 18, 2012 6:56 pm
Country: Switzerland

Re: Companion 2.2.0N371 Unable to check for updates error

Post by Kilrah » Thu May 25, 2017 6:58 am

You need to check “Use OpenTX firmware nightly builds” in companion settings to be able to download firmware, and “Use companion nightly builds” to be notified of further companion release candidate updates.

steadfast4life
Posts: 3
Joined: Tue May 30, 2017 2:54 am
Country: -

Re: Companion 2.2.0N371 Unable to check for updates error

Post by steadfast4life » Tue May 30, 2017 3:03 am

Kilrah wrote:
Thu May 25, 2017 6:58 am
You need to check “Use OpenTX firmware nightly builds” in companion settings to be able to download firmware, and “Use companion nightly builds” to be notified of further companion release candidate updates.
This fixed the problem for me! Thanks!


JRMSR
Posts: 15
Joined: Mon Jul 30, 2012 11:34 pm
Country: -

Re: Companion 2.2.0N371 Unable to check for updates error

Post by JRMSR » Mon Jan 22, 2018 1:54 am

I have opentx companion 2.1.9 and have the same error
"unable to check for updates"

I do not have a check box under settings/application for "nightly builds"

how to I fix this

User avatar
Kilrah
Posts: 9625
Joined: Sat Feb 18, 2012 6:56 pm
Country: Switzerland

Re: Companion 2.2.0N371 Unable to check for updates error

Post by Kilrah » Mon Jan 22, 2018 6:21 am

Wait until the server is fixed.

JRMSR
Posts: 15
Joined: Mon Jul 30, 2012 11:34 pm
Country: -

Re: Companion 2.2.0N371 Unable to check for updates error

Post by JRMSR » Mon Jan 22, 2018 11:08 pm

thanks its working now

JRMSR
Posts: 15
Joined: Mon Jul 30, 2012 11:34 pm
Country: -

Re: Companion 2.2.0N371 Unable to check for updates error

Post by JRMSR » Wed Jan 24, 2018 12:48 am

Another problem, today I cannot communicate with X9DP (did communicate yesterday)
have 2.1.9 FW and Bootloader
when I USB TX, no power, I get STM32 Bootloader in device manager, cannot communicate with radio and opentx companion 2.1.9
when USB TX after 3 finger ON, I get Frsky Taranis Bootloader in device manager, cannot communicate with radio and companion
in both cases says cannot find radio, do three finger ON (which doesn't help)

I have never been able to USB X9DP and computer (no TX power) and get the drives to show (Taranis/firmware)

any thoughts

JRMSR
Posts: 15
Joined: Mon Jul 30, 2012 11:34 pm
Country: -

Re: Companion 2.2.0N371 Unable to check for updates error

Post by JRMSR » Wed Jan 24, 2018 12:59 am

UPDATE, I can upload the FW from the radio, no TX power, USB,
cannot Backup radio to file, cannot read models and settings

JRMSR
Posts: 15
Joined: Mon Jul 30, 2012 11:34 pm
Country: -

Re: Companion 2.2.0N371 Unable to check for updates error

Post by JRMSR » Wed Jan 24, 2018 11:52 pm

gesh, finally back in business. Had to uninstall "Taranis Frysky Bootloader" with zadig
Everything works (for now (G))

Post Reply

Return to “Software”